### Hierarchy

- TableRowsProp

## Index

### Properties

- cells
- config
- data
- enabled
- path
- schema
- uischema

### Methods

- moveDown
- moveUp

## Properties

### Optional cells

cells: JsonFormsCellRendererRegistryEntry[]

- Defined in packages/material/src/complex/MaterialTableControl.tsx:326

### Optional config

config: any

- Defined in packages/material/src/complex/MaterialTableControl.tsx:324

### data

data: number

- Defined in packages/material/src/complex/MaterialTableControl.tsx:320

### enabled

enabled: boolean

- Defined in packages/material/src/complex/MaterialTableControl.tsx:325

### path

path: string

- Defined in packages/material/src/complex/MaterialTableControl.tsx:321

### schema

schema: JsonSchema

- Defined in packages/material/src/complex/MaterialTableControl.tsx:322

### uischema

uischema: ControlElement

- Defined in packages/material/src/complex/MaterialTableControl.tsx:323

## Methods

### Optional moveDown

- moveDown(path: string, toMove: number): () => void

- - Defined in packages/material/src/complex/MaterialTableControl.tsx:328

  #### Parameters

  - ##### path: string

  - ##### toMove: number

  #### Returns () => void

  - - (): void

    - #### Returns void

### Optional moveUp

- moveUp(path: string, toMove: number): () => void

- - Defined in packages/material/src/complex/MaterialTableControl.tsx:327

  #### Parameters

  - ##### path: string

  - ##### toMove: number

  #### Returns () => void

  - - (): void

    - #### Returns void

Generated using TypeDoc